Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000177FirmwareRelated Toolspublic2011-06-17 16:182014-02-18 23:05
ReporterFred 
Assigned ToFred 
PriorityhighSeverityminorReproducibilityN/A
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version0.2.1Fixed in Version 
Summary0000177: Stable Releases of All Key Packages
DescriptionAll key related software packages should be stabilised and completed to the desired level and released for use with 0.2.0 in a compatible matching and fully cross platform way!

Packages affected:

1) FreeEMS-Loader (The Loader)
2) EMStudio and/or the mystery Java tuner
3) OpenLogViewer (OLV)
4) New toolchain released from known exact git hash marked sources for all relevant platforms in binary form.
5) FreeTherm

If the above are to a sufficiently high standard, released, and work on all platforms consistently, we can release 0.2.0 with a full suite of tools and tell the world about it! What a great moment that will be!
TagsNo tags attached.
FirmwareVersion
Issue TypeTask
Risk of Breakagevery low
Attached Files

- Relationships

-  Notes
User avatar (0000684)
Fred (administrator)
2011-11-24 15:33

Added the three key names who need to be involved in this process :-)
User avatar (0001515)
Fred (administrator)
2012-05-17 17:04
edited on: 2012-07-21 23:27

Updated to remove MTX as a requirement to release (that's never going to happen) and move the requirement to EMStudio (no pressure Mike!) and the mystery Java tuner. There must be one fully featured tuning app available such that the system is semi complete before 0.2.0 goes out.

Also added item 4 as we don't want to be using the old tools when this goes live. We've been not using them for far too long as is. Stability needs to enter the tools and then they can be adopted in a sweeping move.

User avatar (0001628)
Fred (administrator)
2012-06-27 18:50

Update naming of tuner app and add FreeTherm.
User avatar (0002461)
Fred (administrator)
2012-12-01 18:28

Just a reminder to Sean that if the loader and tools aren't ready when the firmware is ready, that the loader will be getting a name change and the XG BB stuff will not be included in any future release.


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker